Docs/CS2 API/CS2 Rankings API

CS2 Rankings API

Team rankings: the world ranking, Valve Regional Standings, and regional boards.

4 endpoints in this section. Authenticate with the x-api-key header; every response is { success, data, meta }. Other sections: Live, Matches, Maps & rounds, Teams, Players, Events, Stats & leaderboards, Skins, Transfers, Search & reference.

Team rankings

GET/api/v1/cs2/teams/rankings
GET/api/v1/cs2/rankings/teams
GET/api/v1/cs2/rankings

The latest world team ranking, one row per team, with points and change since the previous ranking. Same response as `GET /api/v1/cs2/rankings`. These routes are equivalent; use whichever reads best.

Query parameters

ParameterTypeDescription
limitintegerRows to return. Maximum 100; larger values are reduced to 100.
offsetintegerRows to skip, for paging.
pageintegerPage number, starting at 1.
sourcestringRanking to use: omit for Valve Regional Standings, or world for the world ranking filtered to this region.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/teams/rankings" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": [
    {
      "id": "ee06a068-2a5a-415c-aa25-9a6bd864aa0c",
      "teamId": "cs2-team-7020",
      "teamName": "Spirit",
      "rank": 1,
      "points": 1000,
      "change": 0,
      "region": "Europe",
      "rankingDate": "2026-09-23T00:00:00.000Z",
      "syncedAt": "2026-09-23T03:07:49.835Z",
      "team": {
        "id": "cs2-team-7020",
        "name": "Spirit",
        "slug": "spirit",
        "teamTag": "SPIRIT",
        "logoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/608894028d96779c209b2fb4c03da37c.webp",
        "countryName": "Russia",
        "countryCode": "RU",
        "region": "Europe",
        "lastSyncedAt": "2026-09-23T03:11:27.600Z",
        "lastVerified": "2026-09-23T03:11:27.600Z",
        "confidence": "high",
        "alternateLogoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/25ac49209b09795f64e76b9800aa5b5c.webp",
        "darkUiLogoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/25ac49209b09795f64e76b9800aa5b5c.webp"
      }
    },
    {
      "id": "23408c88-6ee3-4376-9120-13bb3b0085ba",
      "teamId": "cs2-team-9565",
      "teamName": "Vitality",
      "rank": 2,
      "points": 682,
      "change": 3,
      "region": "Europe",
      "rankingDate": "2026-09-23T00:00:00.000Z",
      "syncedAt": "2026-09-23T03:07:49.835Z",
      "team": {
        "id": "cs2-team-9565",
        "name": "Vitality",
        "slug": "vitality",
        "teamTag": "VITALITY",
        "logoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/0cd34febd1ad61ff888f21b55756003b.webp",
        "countryName": "France",
        "countryCode": "FR",
        "region": "Europe",
        "lastSyncedAt": "2026-09-23T03:08:44.625Z",
        "lastVerified": "2026-09-23T03:08:44.625Z",
        "confidence": "high",
        "alternateLogoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/c5e463f9b2347d3aa58794fb8f7ec967.webp",
        "darkUiLogoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/c5e463f9b2347d3aa58794fb8f7ec967.webp"
      }
    }
  ],
  "meta": {
    "count": 2,
    "total": 249,
    "page": 1,
    "limit": 2,
    "ranking": "world",
    "rankingDate": "2026-09-23",
    "changeSince": "2026-09-16",
    "syncedAt": "2026-09-23T03:07:49.835Z",
    "availability": "available",
    "totalPages": 125,
    "hasNext": true,
    "hasPrev": false
  }
}

World ranking

GET/api/v1/cs2/rankings/world

The latest world team ranking.

Query parameters

ParameterTypeDescription
limitintegerRows to return. Maximum 100; larger values are reduced to 100.
offsetintegerRows to skip, for paging.
pageintegerPage number, starting at 1.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/rankings/world" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": [
    {
      "id": "ee06a068-2a5a-415c-aa25-9a6bd864aa0c",
      "teamId": "cs2-team-7020",
      "teamName": "Spirit",
      "rank": 1,
      "points": 1000,
      "change": 0,
      "region": "Europe",
      "rankingDate": "2026-09-23T00:00:00.000Z",
      "syncedAt": "2026-09-23T03:07:49.835Z",
      "team": {
        "id": "cs2-team-7020",
        "name": "Spirit",
        "slug": "spirit",
        "teamTag": "SPIRIT",
        "logoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/608894028d96779c209b2fb4c03da37c.webp",
        "countryName": "Russia",
        "countryCode": "RU",
        "region": "Europe",
        "lastSyncedAt": "2026-09-23T03:11:27.600Z",
        "lastVerified": "2026-09-23T03:11:27.600Z",
        "confidence": "high",
        "alternateLogoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/25ac49209b09795f64e76b9800aa5b5c.webp",
        "darkUiLogoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/25ac49209b09795f64e76b9800aa5b5c.webp"
      }
    },
    {
      "id": "23408c88-6ee3-4376-9120-13bb3b0085ba",
      "teamId": "cs2-team-9565",
      "teamName": "Vitality",
      "rank": 2,
      "points": 682,
      "change": 3,
      "region": "Europe",
      "rankingDate": "2026-09-23T00:00:00.000Z",
      "syncedAt": "2026-09-23T03:07:49.835Z",
      "team": {
        "id": "cs2-team-9565",
        "name": "Vitality",
        "slug": "vitality",
        "teamTag": "VITALITY",
        "logoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/0cd34febd1ad61ff888f21b55756003b.webp",
        "countryName": "France",
        "countryCode": "FR",
        "region": "Europe",
        "lastSyncedAt": "2026-09-23T03:08:44.625Z",
        "lastVerified": "2026-09-23T03:08:44.625Z",
        "confidence": "high",
        "alternateLogoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/c5e463f9b2347d3aa58794fb8f7ec967.webp",
        "darkUiLogoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/c5e463f9b2347d3aa58794fb8f7ec967.webp"
      }
    }
  ],
  "meta": {
    "count": 2,
    "total": 249,
    "page": 1,
    "limit": 2,
    "ranking": "world",
    "rankingDate": "2026-09-23",
    "changeSince": "2026-09-16",
    "syncedAt": "2026-09-23T03:07:49.835Z",
    "availability": "available",
    "totalPages": 125,
    "hasNext": true,
    "hasPrev": false
  }
}

Valve Regional Standings

GET/api/v1/cs2/rankings/vrs

The latest Valve Regional Standings (VRS).

Query parameters

ParameterTypeDescription
limitintegerRows to return. Maximum 100; larger values are reduced to 100.
offsetintegerRows to skip, for paging.
pageintegerPage number, starting at 1.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/rankings/vrs" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": [
    {
      "id": "b7fc5b81-d58e-4ca2-8842-30155e77f459",
      "teamId": "cs2-team-7020",
      "teamName": "Spirit",
      "rank": 1,
      "points": 2037,
      "change": 0,
      "region": "Europe",
      "rankingDate": "2026-09-23T00:00:00.000Z",
      "syncedAt": "2026-09-23T03:07:49.835Z",
      "team": {
        "id": "cs2-team-7020",
        "name": "Spirit",
        "slug": "spirit",
        "teamTag": "SPIRIT",
        "logoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/608894028d96779c209b2fb4c03da37c.webp",
        "countryName": "Russia",
        "countryCode": "RU",
        "region": "Europe",
        "lastSyncedAt": "2026-09-23T03:11:27.600Z",
        "lastVerified": "2026-09-23T03:11:27.600Z",
        "confidence": "high",
        "alternateLogoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/25ac49209b09795f64e76b9800aa5b5c.webp",
        "darkUiLogoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/25ac49209b09795f64e76b9800aa5b5c.webp"
      }
    },
    {
      "id": "b1048400-a473-4fa7-9379-5948627fb987",
      "teamId": "cs2-team-12468",
      "teamName": "Legacy",
      "rank": 2,
      "points": 1893,
      "change": 1,
      "region": "South America",
      "rankingDate": "2026-09-23T00:00:00.000Z",
      "syncedAt": "2026-09-23T03:07:49.835Z",
      "team": {
        "id": "cs2-team-12468",
        "name": "Legacy",
        "slug": "legacy",
        "teamTag": "LEGACY",
        "logoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/b2dd3b4f042fdde6c47649ace7587673.webp",
        "countryName": "Brazil",
        "countryCode": "BR",
        "region": "South America",
        "lastSyncedAt": "2026-09-23T03:08:44.227Z",
        "lastVerified": "2026-09-23T03:08:44.227Z",
        "confidence": "high"
      }
    }
  ],
  "meta": {
    "count": 2,
    "total": 358,
    "page": 1,
    "limit": 2,
    "ranking": "vrs",
    "rankingDate": "2026-09-23",
    "changeSince": "2026-09-16",
    "syncedAt": "2026-09-23T03:07:49.835Z",
    "availability": "available",
    "totalPages": 179,
    "hasNext": true,
    "hasPrev": false
  }
}

Regional ranking

GET/api/v1/cs2/rankings/region/{region}

The latest ranking for one region, with each team's world and regional rank. `region`: `europe`, `americas`, `north-america`, `south-america`, `asia` or `oceania` (short forms `eu`, `am`, `na`, `sa`, `as` also work).

Query parameters

ParameterTypeDescription
region (path)*stringRegion: europe, americas, north-america, south-america, asia, oceania.
limitintegerRows to return. Maximum 100; larger values are reduced to 100.
sourcestringRanking to use: omit for Valve Regional Standings, or world for the world ranking filtered to this region.

Example

bash
curl "https://api.citoapi.com/api/v1/cs2/rankings/region/europe" \
  -H "x-api-key: YOUR_API_KEY"

Response

json
{
  "success": true,
  "data": [
    {
      "id": "b7fc5b81-d58e-4ca2-8842-30155e77f459",
      "teamId": "cs2-team-7020",
      "teamName": "Spirit",
      "rank": 1,
      "points": 2037,
      "change": null,
      "region": "Europe",
      "rankingDate": "2026-09-23T00:00:00.000Z",
      "syncedAt": "2026-09-23T03:07:49.835Z",
      "team": {
        "id": "cs2-team-7020",
        "name": "Spirit",
        "slug": "spirit",
        "teamTag": "SPIRIT",
        "logoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/608894028d96779c209b2fb4c03da37c.webp",
        "countryName": "Russia",
        "countryCode": "RU",
        "region": "Europe",
        "worldRanking": 1,
        "lastSyncedAt": "2026-09-23T03:11:27.600Z",
        "lastVerified": "2026-09-23T03:11:27.600Z",
        "confidence": "high",
        "alternateLogoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/25ac49209b09795f64e76b9800aa5b5c.webp",
        "darkUiLogoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/25ac49209b09795f64e76b9800aa5b5c.webp"
      },
      "regionalRank": 1
    },
    {
      "id": "6a89657d-215b-43ea-9734-b93d79f710fd",
      "teamId": "cs2-team-9565",
      "teamName": "Vitality",
      "rank": 3,
      "points": 1877,
      "change": null,
      "region": "Europe",
      "rankingDate": "2026-09-23T00:00:00.000Z",
      "syncedAt": "2026-09-23T03:07:49.835Z",
      "team": {
        "id": "cs2-team-9565",
        "name": "Vitality",
        "slug": "vitality",
        "teamTag": "VITALITY",
        "logoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/0cd34febd1ad61ff888f21b55756003b.webp",
        "countryName": "France",
        "countryCode": "FR",
        "region": "Europe",
        "worldRanking": 2,
        "lastSyncedAt": "2026-09-23T03:08:44.625Z",
        "lastVerified": "2026-09-23T03:08:44.625Z",
        "confidence": "high",
        "alternateLogoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/c5e463f9b2347d3aa58794fb8f7ec967.webp",
        "darkUiLogoUrl": "https://api.citoapi.com/api/v1/public/images/cs2/logos/c5e463f9b2347d3aa58794fb8f7ec967.webp"
      },
      "regionalRank": 2
    }
  ],
  "meta": {
    "region": "europe",
    "rankingDate": "2026-09-23",
    "count": 2,
    "limit": 2,
    "total": 2,
    "page": 1,
    "totalPages": 1,
    "hasNext": false,
    "hasPrev": false
  }
}

Try the CS2 Rankings API

Run a real request with your key, then wire the same call into your app. The free plan includes 500 requests a month.

bash
curl "https://api.citoapi.com/api/v1/cs2/rankings/vrs?limit=10" \
  -H "x-api-key: YOUR_API_KEY"